package com.ruoyi.project.VRdemo.controller;

import com.ruoyi.framework.aspectj.lang.annotation.Anonymous;
import com.ruoyi.project.VRdemo.domain.Press;
import com.ruoyi.project.VRdemo.domain.SearchData;
import com.ruoyi.project.VRdemo.service.ISearchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/vr/search")
public class SearchController {

    @Autowired
    private ISearchService ISearchService;

    // 高级检索功能接口
    @Anonymous
    @PostMapping("/SearchDatabases")
    public List<Press> SearchDatabases(@RequestBody List<SearchData> searchData) {
        String query = ISearchService.analyticParameter(searchData);
        return ISearchService.ExecuteSearchSql(query);
    }
}
